package cn.ccy.test_weather.utils;

import java.util.ArrayList;
import java.util.List;

import cn.ccy.test_weather.R;


import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageView;

public class PageUtil {
	/** 是否循环 */
	public static final boolean isCycle = false;

	/**
	 * 获取ViewPage适配器数据
	 * 
	 * @param context
	 * @return
	 */
	public static List<View> getPageList(Context context) {
		List<View> pageList = new ArrayList<View>();
		pageList.add(getPageView(context, R.drawable.page01));
		pageList.add(getPageView(context, R.drawable.page02));
		pageList.add(getPageView(context, R.drawable.page03));
		pageList.add(getPageView(context, R.drawable.page04));
		return pageList;
	}

	/**
	 * 构造ViewPage页面
	 * 
	 * @param context
	 * @param imgResId
	 * @return
	 */
	private static View getPageView(Context context, int imgResId) {
		LayoutInflater inflater = LayoutInflater.from(context);
		View pageView = inflater.inflate(R.layout.page_item, null);
		ImageView imgPage = (ImageView) pageView.findViewById(R.id.imgPage);

		imgPage.setBackgroundResource(imgResId);
		return pageView;
	}
}
